package com.sundot.airport.item.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sundot.airport.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 查获物品明细对象
 */
public class ItemSeizureDto {
    private static final long serialVersionUID = 1L;

    /**
     * 检查人员ID
     */
    @Excel(name = "检查人员ID")
    private Long inspectUserId;

    /**
     * 通道编码
     */
    @Excel(name = "通道编码")
    private String channelCode;

    /**
     * 查获时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "查获时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date seizureTime;

    /**
     * 检查岗位
     */
    @Excel(name = "检查岗位")
    private String checkMethod;

    /**
     * 考勤记录ID
     */
    @Excel(name = "考勤记录ID")
    private Long attendanceId;

    /**
     * 考勤班组ID
     */
    @Excel(name = "考勤班组ID")
    private Long attendanceTeamId;

    /**
     * 考勤班组名称
     */
    @Excel(name = "考勤班组名称")
    private String attendanceTeamName;

    /**
     * 考勤科室ID
     */
    @Excel(name = "考勤科室ID")
    private Long attendanceDepartmentId;

    /**
     * 考勤科室名称
     */
    @Excel(name = "考勤科室名称")
    private String attendanceDepartmentName;

    /**
     * 考勤机构站ID
     */
    @Excel(name = "考勤机构站ID")
    private Long attendanceStationId;

    /**
     * 考勤机构站名称
     */
    @Excel(name = "考勤机构站名称")
    private String attendanceStationName;

    /**
     * 通道名称
     */
    @Excel(name = "通道名称")
    private String channelName;

    /**
     * 区域编码
     */
    @Excel(name = "区域编码")
    private Long regionalCode;

    /**
     * 区域名称
     */
    @Excel(name = "区域名称")
    private String regionalName;

    /**
     * 航站楼编码
     */
    @Excel(name = "航站楼编码")
    private Long terminlCode;

    /**
     * 航站楼名称
     */
    @Excel(name = "航站楼名称")
    private String terminlName;

    /**
     * 旅客姓名
     */
    @Excel(name = "旅客姓名")
    private String passengerName;

    /**
     * 旅客性别
     */
    @Excel(name = "旅客性别")
    private String passengerGender;

    /**
     * 旅客身份证号
     */
    @Excel(name = "旅客身份证号")
    private String passengerCard;

    /**
     * 航班号
     */
    @Excel(name = "航班号")
    private String passengerFlight;

    /**
     * 查获人班组ID
     */
    @Excel(name = "查获人班组ID")
    private Long inspectTeamId;

    /**
     * 查获人班组名称
     */
    @Excel(name = "查获人班组名称")
    private String inspectTeamName;

    /**
     * 查获人科室ID
     */
    @Excel(name = "查获人科室ID")
    private Long inspectDepartmentId;

    /**
     * 查获人科室名称
     */
    @Excel(name = "查获人科室名称")
    private String inspectDepartmentName;

    /**
     * 查获人机构站ID
     */
    @Excel(name = "查获人机构站ID")
    private Long inspectStationId;

    /**
     * 查获人机构站名称
     */
    @Excel(name = "查获人机构站名称")
    private String inspectStationName;

    /**
     * 检查岗位名称
     */
    @Excel(name = "检查岗位名称")
    private String checkMethodDesc;

    /**
     * 旅客性别名称
     */
    @Excel(name = "旅客性别名称")
    private String passengerGenderDesc;

    /**
     * 检查人员名称
     */
    @Excel(name = "检查人员名称")
    private String inspectUserName;


    /**
     * 主键
     */
    private Long id;

    /**
     * 查获记录ID
     */
    @Excel(name = "查获记录ID")
    private Long recordId;

    /**
     * 物品编码
     */
    @Excel(name = "物品编码")
    private String itemCode;

    /**
     * 数量
     */
    @Excel(name = "数量")
    private BigDecimal quantity;

    /**
     * 检查部位编码1级
     */
    @Excel(name = "检查部位编码1级")
    private String checkPositionCodeOne;

    /**
     * 是否故意隐匿(1-是,0-否)
     */
    @Excel(name = "是否故意隐匿(1-是,0-否)")
    private Long isActiveConcealment;

    /**
     * 检查部位编码2级
     */
    @Excel(name = "检查部位编码2级")
    private String checkPositionCodeTwo;

    /**
     * 具体位置
     */
    @Excel(name = "具体位置")
    private String checkPositionSpecific;

    /**
     * 物品名称
     */
    @Excel(name = "物品名称")
    private String itemName;

    /**
     * 物品分类编码1级
     */
    @Excel(name = "物品分类编码1级")
    private String categoryCodeOne;

    /**
     * 物品分类名称1级
     */
    @Excel(name = "物品分类名称1级")
    private String categoryNameOne;

    /**
     * 物品分类编码2级
     */
    @Excel(name = "物品分类编码2级")
    private String categoryCodeTwo;

    /**
     * 物品分类名称2级
     */
    @Excel(name = "物品分类名称2级")
    private String categoryNameTwo;

    /**
     * 单位
     */
    @Excel(name = "单位")
    private String unit;

    /**
     * 检查部位名称1级
     */
    @Excel(name = "检查部位名称1级")
    private String checkPositionNameOne;

    /**
     * 检查部位名称2级
     */
    @Excel(name = "检查部位名称2级")
    private String checkPositionNameTwo;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String unitDesc;

    /**
     * 处理方式
     */
    @Excel(name = "处理方式")
    private String handlingMethod;

    /**
     * 处理方式名称
     */
    @Excel(name = "处理方式名称")
    private String handlingMethodDesc;

    /**
     * 附件ID
     */
    @Excel(name = "附件ID")
    private String attachmentId;

    /**
     * 附件URL
     */
    @Excel(name = "附件URL")
    private String attachmentUrl;

    /**
     * 附件名称
     */
    @Excel(name = "附件名称")
    private String attachmentName;

    public Long getInspectUserId() {
        return inspectUserId;
    }

    public void setInspectUserId(Long inspectUserId) {
        this.inspectUserId = inspectUserId;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public Date getSeizureTime() {
        return seizureTime;
    }

    public void setSeizureTime(Date seizureTime) {
        this.seizureTime = seizureTime;
    }

    public String getCheckMethod() {
        return checkMethod;
    }

    public void setCheckMethod(String checkMethod) {
        this.checkMethod = checkMethod;
    }

    public Long getAttendanceId() {
        return attendanceId;
    }

    public void setAttendanceId(Long attendanceId) {
        this.attendanceId = attendanceId;
    }

    public Long getAttendanceTeamId() {
        return attendanceTeamId;
    }

    public void setAttendanceTeamId(Long attendanceTeamId) {
        this.attendanceTeamId = attendanceTeamId;
    }

    public String getAttendanceTeamName() {
        return attendanceTeamName;
    }

    public void setAttendanceTeamName(String attendanceTeamName) {
        this.attendanceTeamName = attendanceTeamName;
    }

    public Long getAttendanceDepartmentId() {
        return attendanceDepartmentId;
    }

    public void setAttendanceDepartmentId(Long attendanceDepartmentId) {
        this.attendanceDepartmentId = attendanceDepartmentId;
    }

    public String getAttendanceDepartmentName() {
        return attendanceDepartmentName;
    }

    public void setAttendanceDepartmentName(String attendanceDepartmentName) {
        this.attendanceDepartmentName = attendanceDepartmentName;
    }

    public Long getAttendanceStationId() {
        return attendanceStationId;
    }

    public void setAttendanceStationId(Long attendanceStationId) {
        this.attendanceStationId = attendanceStationId;
    }

    public String getAttendanceStationName() {
        return attendanceStationName;
    }

    public void setAttendanceStationName(String attendanceStationName) {
        this.attendanceStationName = attendanceStationName;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public Long getRegionalCode() {
        return regionalCode;
    }

    public void setRegionalCode(Long regionalCode) {
        this.regionalCode = regionalCode;
    }

    public String getRegionalName() {
        return regionalName;
    }

    public void setRegionalName(String regionalName) {
        this.regionalName = regionalName;
    }

    public Long getTerminlCode() {
        return terminlCode;
    }

    public void setTerminlCode(Long terminlCode) {
        this.terminlCode = terminlCode;
    }

    public String getTerminlName() {
        return terminlName;
    }

    public void setTerminlName(String terminlName) {
        this.terminlName = terminlName;
    }

    public String getPassengerName() {
        return passengerName;
    }

    public void setPassengerName(String passengerName) {
        this.passengerName = passengerName;
    }

    public String getPassengerGender() {
        return passengerGender;
    }

    public void setPassengerGender(String passengerGender) {
        this.passengerGender = passengerGender;
    }

    public String getPassengerCard() {
        return passengerCard;
    }

    public void setPassengerCard(String passengerCard) {
        this.passengerCard = passengerCard;
    }

    public String getPassengerFlight() {
        return passengerFlight;
    }

    public void setPassengerFlight(String passengerFlight) {
        this.passengerFlight = passengerFlight;
    }

    public Long getInspectTeamId() {
        return inspectTeamId;
    }

    public void setInspectTeamId(Long inspectTeamId) {
        this.inspectTeamId = inspectTeamId;
    }

    public String getInspectTeamName() {
        return inspectTeamName;
    }

    public void setInspectTeamName(String inspectTeamName) {
        this.inspectTeamName = inspectTeamName;
    }

    public Long getInspectDepartmentId() {
        return inspectDepartmentId;
    }

    public void setInspectDepartmentId(Long inspectDepartmentId) {
        this.inspectDepartmentId = inspectDepartmentId;
    }

    public String getInspectDepartmentName() {
        return inspectDepartmentName;
    }

    public void setInspectDepartmentName(String inspectDepartmentName) {
        this.inspectDepartmentName = inspectDepartmentName;
    }

    public Long getInspectStationId() {
        return inspectStationId;
    }

    public void setInspectStationId(Long inspectStationId) {
        this.inspectStationId = inspectStationId;
    }

    public String getInspectStationName() {
        return inspectStationName;
    }

    public void setInspectStationName(String inspectStationName) {
        this.inspectStationName = inspectStationName;
    }

    public String getCheckMethodDesc() {
        return checkMethodDesc;
    }

    public void setCheckMethodDesc(String checkMethodDesc) {
        this.checkMethodDesc = checkMethodDesc;
    }

    public String getPassengerGenderDesc() {
        return passengerGenderDesc;
    }

    public void setPassengerGenderDesc(String passengerGenderDesc) {
        this.passengerGenderDesc = passengerGenderDesc;
    }

    public String getInspectUserName() {
        return inspectUserName;
    }

    public void setInspectUserName(String inspectUserName) {
        this.inspectUserName = inspectUserName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public String getCheckPositionCodeOne() {
        return checkPositionCodeOne;
    }

    public void setCheckPositionCodeOne(String checkPositionCodeOne) {
        this.checkPositionCodeOne = checkPositionCodeOne;
    }

    public Long getIsActiveConcealment() {
        return isActiveConcealment;
    }

    public void setIsActiveConcealment(Long isActiveConcealment) {
        this.isActiveConcealment = isActiveConcealment;
    }

    public String getCheckPositionCodeTwo() {
        return checkPositionCodeTwo;
    }

    public void setCheckPositionCodeTwo(String checkPositionCodeTwo) {
        this.checkPositionCodeTwo = checkPositionCodeTwo;
    }

    public String getCheckPositionSpecific() {
        return checkPositionSpecific;
    }

    public void setCheckPositionSpecific(String checkPositionSpecific) {
        this.checkPositionSpecific = checkPositionSpecific;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getCategoryCodeOne() {
        return categoryCodeOne;
    }

    public void setCategoryCodeOne(String categoryCodeOne) {
        this.categoryCodeOne = categoryCodeOne;
    }

    public String getCategoryNameOne() {
        return categoryNameOne;
    }

    public void setCategoryNameOne(String categoryNameOne) {
        this.categoryNameOne = categoryNameOne;
    }

    public String getCategoryCodeTwo() {
        return categoryCodeTwo;
    }

    public void setCategoryCodeTwo(String categoryCodeTwo) {
        this.categoryCodeTwo = categoryCodeTwo;
    }

    public String getCategoryNameTwo() {
        return categoryNameTwo;
    }

    public void setCategoryNameTwo(String categoryNameTwo) {
        this.categoryNameTwo = categoryNameTwo;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getCheckPositionNameOne() {
        return checkPositionNameOne;
    }

    public void setCheckPositionNameOne(String checkPositionNameOne) {
        this.checkPositionNameOne = checkPositionNameOne;
    }

    public String getCheckPositionNameTwo() {
        return checkPositionNameTwo;
    }

    public void setCheckPositionNameTwo(String checkPositionNameTwo) {
        this.checkPositionNameTwo = checkPositionNameTwo;
    }

    public String getUnitDesc() {
        return unitDesc;
    }

    public void setUnitDesc(String unitDesc) {
        this.unitDesc = unitDesc;
    }

    public String getHandlingMethod() {
        return handlingMethod;
    }

    public void setHandlingMethod(String handlingMethod) {
        this.handlingMethod = handlingMethod;
    }

    public String getHandlingMethodDesc() {
        return handlingMethodDesc;
    }

    public void setHandlingMethodDesc(String handlingMethodDesc) {
        this.handlingMethodDesc = handlingMethodDesc;
    }

    public String getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(String attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }

    public String getAttachmentName() {
        return attachmentName;
    }

    public void setAttachmentName(String attachmentName) {
        this.attachmentName = attachmentName;
    }

    @Override
    public String toString() {
        return "ItemSeizureDto{" +
                "inspectUserId=" + inspectUserId +
                ", channelCode='" + channelCode + '\'' +
                ", seizureTime=" + seizureTime +
                ", checkMethod='" + checkMethod + '\'' +
                ", attendanceId=" + attendanceId +
                ", attendanceTeamId=" + attendanceTeamId +
                ", attendanceTeamName='" + attendanceTeamName + '\'' +
                ", attendanceDepartmentId=" + attendanceDepartmentId +
                ", attendanceDepartmentName='" + attendanceDepartmentName + '\'' +
                ", attendanceStationId=" + attendanceStationId +
                ", attendanceStationName='" + attendanceStationName + '\'' +
                ", channelName='" + channelName + '\'' +
                ", regionalCode=" + regionalCode +
                ", regionalName='" + regionalName + '\'' +
                ", terminlCode=" + terminlCode +
                ", terminlName='" + terminlName + '\'' +
                ", passengerName='" + passengerName + '\'' +
                ", passengerGender='" + passengerGender + '\'' +
                ", passengerCard='" + passengerCard + '\'' +
                ", passengerFlight='" + passengerFlight + '\'' +
                ", inspectTeamId=" + inspectTeamId +
                ", inspectTeamName='" + inspectTeamName + '\'' +
                ", inspectDepartmentId=" + inspectDepartmentId +
                ", inspectDepartmentName='" + inspectDepartmentName + '\'' +
                ", inspectStationId=" + inspectStationId +
                ", inspectStationName='" + inspectStationName + '\'' +
                ", checkMethodDesc='" + checkMethodDesc + '\'' +
                ", passengerGenderDesc='" + passengerGenderDesc + '\'' +
                ", inspectUserName='" + inspectUserName + '\'' +
                ", id=" + id +
                ", recordId=" + recordId +
                ", itemCode='" + itemCode + '\'' +
                ", quantity=" + quantity +
                ", checkPositionCodeOne='" + checkPositionCodeOne + '\'' +
                ", isActiveConcealment=" + isActiveConcealment +
                ", checkPositionCodeTwo='" + checkPositionCodeTwo + '\'' +
                ", checkPositionSpecific='" + checkPositionSpecific + '\'' +
                ", itemName='" + itemName + '\'' +
                ", categoryCodeOne='" + categoryCodeOne + '\'' +
                ", categoryNameOne='" + categoryNameOne + '\'' +
                ", categoryCodeTwo='" + categoryCodeTwo + '\'' +
                ", categoryNameTwo='" + categoryNameTwo + '\'' +
                ", unit='" + unit + '\'' +
                ", checkPositionNameOne='" + checkPositionNameOne + '\'' +
                ", checkPositionNameTwo='" + checkPositionNameTwo + '\'' +
                ", unitDesc='" + unitDesc + '\'' +
                ", handlingMethod='" + handlingMethod + '\'' +
                ", handlingMethodDesc='" + handlingMethodDesc + '\'' +
                ", attachmentId='" + attachmentId + '\'' +
                ", attachmentUrl='" + attachmentUrl + '\'' +
                ", attachmentName='" + attachmentName + '\'' +
                '}';
    }
}
